# PhasicFlow: src/phasicFlow/containers/Map/Map/MapI.hpp File Reference
PhasicFlow is an open-source parallel DEM (discrete element method) package for simulating granular flow. It is developed in C++ and can be exectued on both GPU (like CUDA) and CPU.

MapI.hpp File Reference
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Functions

template<typename T >
iOstream & | printKeys (iOstream &os, const wordMap< T > &m)
template<typename T >
iOstream & | printKeys (iOstream &os, const uint32Map< T > &m)
template<typename T >
iOstream & | printKeys (iOstream &os, const uint64Map< T > &m)
template<typename T >
iOstream & | printKeys (iOstream &os, const int32Map< T > &m)
template<typename T >
iOstream & | printKeys (iOstream &os, const int64Map< T > &m)

## Function Documentation

## printKeys() [1/5]

iOstream& printKeys | ( | iOstream & | os,
|  | const wordMap< T > & | m
| ) |  |

inline

Definition at line 66 of file MapI.hpp.

References pFlow::endl(), and m.

Here is the call graph for this function:

## printKeys() [2/5]

iOstream& printKeys | ( | iOstream & | os,
|  | const uint32Map< T > & | m
| ) |  |

inline

Definition at line 81 of file MapI.hpp.

References pFlow::endl(), and m.

Here is the call graph for this function:

## printKeys() [3/5]

iOstream& printKeys | ( | iOstream & | os,
|  | const uint64Map< T > & | m
| ) |  |

inline

Definition at line 95 of file MapI.hpp.

References pFlow::endl(), and m.

Here is the call graph for this function:

## printKeys() [4/5]

iOstream& printKeys | ( | iOstream & | os,
|  | const int32Map< T > & | m
| ) |  |

inline

Definition at line 109 of file MapI.hpp.

References pFlow::endl(), and m.

Here is the call graph for this function:

## printKeys() [5/5]

iOstream& printKeys | ( | iOstream & | os,
|  | const int64Map< T > & | m
| ) |  |

inline

Definition at line 123 of file MapI.hpp.

References pFlow::endl(), and m.

Here is the call graph for this function: